Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79270 - initdb does not use iso8859-1 for dbs
Summary: initdb does not use iso8859-1 for dbs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-09 11:58 UTC by Bernd
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-12 23:49:00 UTC


Attachments (Terms of Use)

Description Bernd 2002-12-09 11:58:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
after an rpm installation of postgresql special characters like umlauts are
stored in the database, but when it comes to sorting, they are not read correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create table xxx
2.insert a few lines with umlauts in it
3.select * from xxx order by name
	

Actual Results:  search result is:

 Ankanfte
 Ankenfte
 Ank|nfte
 Ankunfte
 Ankxnfte
 \bernachtungen
 Betten


Expected Results:   Ankanfte
 Ankenfte
 Ankunfte
 Ank|nfte
 Ankxnfte
 Betten
 \bernachtungen


Additional info:

when setting the LANG to en_US or de_AT and doing another initdb everything
works as expected.

Comment 1 Andrew Overholt 2003-03-04 17:37:22 UTC
Assigning to me.

Comment 2 Andrew Overholt 2003-03-12 23:49:00 UTC
Perhaps the initial initdb is being done in a locale with unexpected sorting
results?  Sorting in non-C locales is not an issue that I am completely familiar
with, so questions directed to the PostgreSQL community would be better
answered.  Either way, this is not a packaging bug AFAICT so I'm going to
resolve it NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.